Tab complete: Be smart about multiple completions

RESOLVED FIXED in 1.2

Status

Instantbird
Conversation
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: aleth, Assigned: aleth)

Tracking

Details

Attachments

(1 attachment, 5 obsolete attachments)

(Assignee)

Description

4 years ago
*** Original post on bio 1330 at 2012-03-09 00:44:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
(Assignee)

Comment 1

4 years ago
Created attachment 8352988 [details] [diff] [review]
Patch

*** Original post on bio 1330 as attmnt 1235 at 2012-03-09 00:44:00 UTC ***

When completing a nick preceded by ": " (i.e. usually a previous chat nick completion), check if what is before the colon is a nick. If so, replace the ":" with a comma. Useful when addressing more than one person.
Attachment #8352988 - Flags: review?(florian)
(Assignee)

Comment 2

4 years ago
Created attachment 8352998 [details] [diff] [review]
Patch

*** Original post on bio 1330 as attmnt 1245 at 2012-03-10 18:49:00 UTC ***

Nit and bug fix (do not show added comma in list of completions).
Attachment #8352998 - Flags: review?(florian)
(Assignee)

Comment 3

4 years ago
Comment on attachment 8352988 [details] [diff] [review]
Patch

*** Original change on bio 1330 attmnt 1235 at 2012-03-10 18:49:11 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352988 - Attachment is obsolete: true
Attachment #8352988 - Flags: review?(florian)
(Assignee)

Comment 4

4 years ago
Created attachment 8352999 [details] [diff] [review]
Patch

*** Original post on bio 1330 as attmnt 1246 at 2012-03-10 18:59:00 UTC ***

Contrary to what I thought, single-letter nicks are actually allowed! (Not that you need tab complete for those really...)
Attachment #8352999 - Flags: review?(florian)
(Assignee)

Comment 5

4 years ago
Comment on attachment 8352998 [details] [diff] [review]
Patch

*** Original change on bio 1330 attmnt 1245 at 2012-03-10 18:59:35 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352998 - Attachment is obsolete: true
Attachment #8352998 - Flags: review?(florian)
(Assignee)

Comment 6

4 years ago
Created attachment 8353044 [details] [diff] [review]
Patch

*** Original post on bio 1330 as attmnt 1291 at 2012-04-04 17:39:00 UTC ***

- Check the entire sequence of preceding words are nicks.
- Continue to work seamlessly after a partial completion has occurred.
Attachment #8353044 - Flags: review?(florian)
(Assignee)

Comment 7

4 years ago
Comment on attachment 8352999 [details] [diff] [review]
Patch

*** Original change on bio 1330 attmnt 1246 at 2012-04-04 17:39:04 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352999 - Attachment is obsolete: true
Attachment #8352999 - Flags: review?(florian)
(Assignee)

Comment 8

4 years ago
Created attachment 8353045 [details] [diff] [review]
Patch

*** Original post on bio 1330 as attmnt 1292 at 2012-04-04 17:51:00 UTC ***

Streamlined: Who cares if we overwrite a comma with a comma?
Attachment #8353045 - Flags: review?(florian)
(Assignee)

Comment 9

4 years ago
Comment on attachment 8353044 [details] [diff] [review]
Patch

*** Original change on bio 1330 attmnt 1291 at 2012-04-04 17:51:32 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353044 - Attachment is obsolete: true
Attachment #8353044 - Flags: review?(florian)
(Assignee)

Comment 10

4 years ago
Created attachment 8353046 [details] [diff] [review]
Patch

*** Original post on bio 1330 as attmnt 1293 at 2012-04-04 17:54:00 UTC ***

Teeny tiny efficiency improvement ;)
Attachment #8353046 - Flags: review?(florian)
(Assignee)

Comment 11

4 years ago
Comment on attachment 8353045 [details] [diff] [review]
Patch

*** Original change on bio 1330 attmnt 1292 at 2012-04-04 17:54:43 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353045 - Attachment is obsolete: true
Attachment #8353045 - Flags: review?(florian)
Comment on attachment 8353046 [details] [diff] [review]
Patch

*** Original change on bio 1330 attmnt 1293 at 2012-04-04 22:22:49 UTC ***

Thanks for this nice UX improvement! :)
Attachment #8353046 - Flags: review?(florian) → review+
*** Original post on bio 1330 at 2012-04-04 23:39:50 UTC ***

Checked in as http://hg.instantbird.org/instantbird/rev/3f1604de4278

Can't wait to try this out!
Assignee: nobody → aleth
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Hardware: x86 → All
Resolution: --- → FIXED
Target Milestone: --- → 1.2
You need to log in before you can comment on or make changes to this bug.